---

# - name: What is my ansible_hostname
#   debug: var={{groups}}

# - name: What is my ansible_hostname
#   debug: var={{ansible_hostname}}

- name: Set a hostname
  ansible.builtin.hostname:
    name: "{{hostname}}"

- name: Set authorized key taken from file
  ansible.posix.authorized_key:
    user: ubuntu
    state: present
    key: "{{ lookup('file', '/home/beni/.ssh/beni-dev.pub') }}"

# - name: apt updateupgrade
#   apt: 
#     update_cache: yes
    #upgrade: yes
# tasks file for roles/common
- name: Install basic stuff with apt
  apt:
    name: 
      - zip
      - unzip
      - curl
      - jq
      - nfs-common
      - nfs4-acl-tools
    update_cache: yes
    state: present

- name: pritunl
  ansible.builtin.shell: |
    sudo tee /etc/apt/sources.list.d/pritunl.list << EOF
    deb https://repo.pritunl.com/stable/apt focal main
    EOF
    sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com --recv 7568D9BB55FF9E5287D586017AE645C0CF8E292A
    sudo apt-get update -y
    sudo apt-get install pritunl-client -y
    pritunl-client add pritunl://vpn.syscops.space/ku/QF9gqwtx
    pritunl-client start $(pritunl-client list | grep beni.prd | cut -d "|" -f 2)
  when: ansible_hostname == "beni-prd"

- name: check mountpoint exist
  ansible.builtin.file:
    path: "/mnt/nfs_clientshare"
    state: directory
    mode: "0777"
    owner: nobody
    group: nogroup

- name: mount network share
  ansible.posix.mount:
    src: 172.16.30.133:/mnt/nfs_share
    path: /mnt/nfs_clientshare
    fstype: nfs
    opts: rw,sync
    state: mounted

- name: Create directory for cronlog
  file:
    path: /home/ubuntu/cronlog
    state: directory
    owner: ubuntu
    group: ubuntu
    mode: '0777'
  when: ansible_hostname == "beni-prd" or ansible_hostname == "beni-dev"

- name: Copy backupscript
  template:
    src: backup.sh.j2
    dest: /home/ubuntu/backup.sh
    owner: ubuntu
    group: ubuntu
    mode: '0777'
  when: ansible_hostname == "beni-prd" or ansible_hostname == "beni-dev"

- name: Set crontab for db backup
  cron:
    name: backup {{hostname}} db
    user: ubuntu
    minute: 0
    hour: "4,17"
    job: sudo bash /home/ubuntu/backup.sh >> /home/ubuntu/cronlog/daily_`date +\%Y\%m\%d\%H\%M\%S`.log 2>&1 ; echo "pushgateway_return_code $?" | curl --silent --data-binary @- http://172.16.30.163:9091/metrics/job/{{hostname}}-db_backup > /dev/null
  when: ansible_hostname == "beni-prd" or ansible_hostname == "beni-dev"